You are viewing a plain text version of this content. The canonical link for it is here.
Posted to issues@trafficcontrol.apache.org by GitBox <gi...@apache.org> on 2020/04/02 21:35:56 UTC

[GitHub] [trafficcontrol] zrhoffman opened a new pull request #4593: Check exit codes for each line and add an error trap

zrhoffman opened a new pull request #4593: Check exit codes for each line and add an error trap
URL: https://github.com/apache/trafficcontrol/pull/4593
 
 
   <!--
   ************ STOP!! ************
   If this Pull Request is intended to fix a security vulnerability, DO NOT submit it! Instead, contact
   the Apache Software Foundation Security Team at security@trafficcontrol.apache.org and follow the
   guidelines at https://www.apache.org/security/ regarding vulnerability disclosure.
   -->
   ## What does this PR (Pull Request) do?
   <!-- Explain the changes you made here. If this fixes an Issue, identify it by
   replacing the text in the checkbox item with the Issue number e.g.
   
   - [x] This PR fixes #9001 OR is not related to any Issue
   
   ^ This will automatically close Issue number 9001 when the Pull Request is
   merged (The '#' is important).
   
   Be sure you check the box properly, see the "The following criteria are ALL
   met by this PR" section for details.
   -->
   
   - [x] This PR fixes #4592<!-- You can check for an issue here: https://github.com/apache/trafficcontrol/issues -->
   
   ## Which Traffic Control components are affected by this PR?
   <!-- Please delete all components from this list that are NOT affected by this
   Pull Request. Also, feel free to add the name of a tool or script that is
   affected but not on the list.
   
   Additionally, if this Pull Request does NOT affect documentation, please
   explain why documentation is not required. -->
   
   - CDN in a Box
   - Traffic Ops
   
   ## What is the best way to verify this PR?
   <!-- Please include here ALL the steps necessary to test your Pull Request. If
   it includes tests (and most should), outline here the steps needed to run the
   tests. If not, lay out the manual testing procedure and please explain why
   tests are unnecessary for this Pull Request. -->
   Verify `install_goose.sh` returns a nonzero exit code when it fails and 0 when it succeeds
   
   ## If this is a bug fix, what versions of Traffic Control are affected?
   <!-- If this PR fixes a bug, please list here all of the affected versions - to
   the best of your knowledge. It's also pretty helpful to include a commit hash
   of where 'master' is at the time this PR is opened (if it affects master),
   because what 'master' means will change over time. For example, if this PR
   fixes a bug that's present in master (at commit hash '2697ebac'), in v3.0.0,
   and in the current 3.0.1 Release candidate (e.g. RC1), then this list would
   look like:
   
   - master (6d8cbe9c60)
   - 4.0.0
   
   If you don't know what other versions might have this bug, AND don't know how
   to find the commit hash of 'master', then feel free to leave this section
   blank (or, preferably, delete it entirely).
    -->
   - master (6d8cbe9c60)
   - 4.0.0
   
   ## The following criteria are ALL met by this PR
   <!-- Check the boxes to signify that the associated statement is true. To
   "check a box", replace the space inside of the square brackets with an 'x'.
   e.g.
   
   - [ x] <- Wrong
   - [x ] <- Wrong
   - [] <- Wrong
   - [*] <- Wrong
   - [x] <- Correct!
   
   -->
   
   - [x] I have explained why tests are unnecessary
   - [x] I have explained why documentation is unnecessary
   - [x] An update to CHANGELOG.md is not necessary
   - [x] This PR includes any and all required license headers
   - [x] This PR does not include a database migration
   - [x] This PR **DOES NOT FIX A SERIOUS SECURITY VULNERABILITY** (see [the Apache Software Foundation's security guidelines](https://www.apache.org/security/) for details)
   
   
   ## Additional Information
   <!-- If you would like to include any additional information on the PR for
   potential reviewers please put it here.
   
   Some examples of this would be:
   
   - Before and after screenshots/gifs of the Traffic Portal if it is affected
   - Links to other dependent Pull Requests
   - References to relevant context (e.g. new/updates to dependent libraries,
   mailing list records, blueprints)
   
   Feel free to leave this section blank (or, preferably, delete it entirely).
   -->
   * install_goose.sh has no tests
   * Documentation is unnecessary because intended behavior does not change.
   
   <!--
   Licensed to the Apache Software Foundation (ASF) under one
   or more contributor license agreements.  See the NOTICE file
   distributed with this work for additional information
   regarding copyright ownership.  The ASF licenses this file
   to you under the Apache License, Version 2.0 (the
   "License"); you may not use this file except in compliance
   with the License.  You may obtain a copy of the License at
   
       http://www.apache.org/licenses/LICENSE-2.0
   
   Unless required by applicable law or agreed to in writing,
   software distributed under the License is distributed on an
   "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
   KIND, either express or implied.  See the License for the
   specific language governing permissions and limitations
   under the License.
   -->

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


With regards,
Apache Git Services

[GitHub] [trafficcontrol] rawlinp commented on a change in pull request #4593: Fail install_goose.sh if installing goose fails

Posted by GitBox <gi...@apache.org>.
rawlinp commented on a change in pull request #4593: Fail install_goose.sh if installing goose fails
URL: https://github.com/apache/trafficcontrol/pull/4593#discussion_r402617653
 
 

 ##########
 File path: traffic_ops/install/bin/install_goose.sh
 ##########
 @@ -14,11 +14,13 @@
 # limitations under the License.
 #
 
-echo "Now installing goose"
-export GOPATH=/opt/traffic_ops/go
-mkdir -p $GOPATH
+trap "echo Error on line ${LINENO} of '$0'; exit 1" ERR;
+set -o errexit -o nounset;
+echo "Now installing goose";
+export GOPATH=/opt/traffic_ops/go;
+mkdir -p $GOPATH;
 
-go get bitbucket.org/liamstask/goose/cmd/goose
-go get github.com/lib/pq
+go get bitbucket.org/liamstask/goose/cmd/goose;
+go get github.com/lib/pq;
 
-echo "Successfully installed goose to $GOPATH/bin/goose"
+echo "Successfully installed goose to $GOPATH/bin/goose";
 
 Review comment:
   why all the `;`?

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


With regards,
Apache Git Services

[GitHub] [trafficcontrol] zrhoffman commented on a change in pull request #4593: Fail install_goose.sh if installing goose fails

Posted by GitBox <gi...@apache.org>.
zrhoffman commented on a change in pull request #4593: Fail install_goose.sh if installing goose fails
URL: https://github.com/apache/trafficcontrol/pull/4593#discussion_r402620895
 
 

 ##########
 File path: traffic_ops/install/bin/install_goose.sh
 ##########
 @@ -14,11 +14,13 @@
 # limitations under the License.
 #
 
-echo "Now installing goose"
-export GOPATH=/opt/traffic_ops/go
-mkdir -p $GOPATH
+trap "echo Error on line ${LINENO} of '$0'; exit 1" ERR;
+set -o errexit -o nounset;
+echo "Now installing goose";
+export GOPATH=/opt/traffic_ops/go;
+mkdir -p $GOPATH;
 
-go get bitbucket.org/liamstask/goose/cmd/goose
-go get github.com/lib/pq
+go get bitbucket.org/liamstask/goose/cmd/goose;
+go get github.com/lib/pq;
 
-echo "Successfully installed goose to $GOPATH/bin/goose"
+echo "Successfully installed goose to $GOPATH/bin/goose";
 
 Review comment:
   Removed in 6d3edb9c66

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


With regards,
Apache Git Services

[GitHub] [trafficcontrol] rawlinp merged pull request #4593: Fail install_goose.sh if installing goose fails

Posted by GitBox <gi...@apache.org>.
rawlinp merged pull request #4593: Fail install_goose.sh if installing goose fails
URL: https://github.com/apache/trafficcontrol/pull/4593
 
 
   

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


With regards,
Apache Git Services

[GitHub] [trafficcontrol] zrhoffman commented on a change in pull request #4593: Fail install_goose.sh if installing goose fails

Posted by GitBox <gi...@apache.org>.
zrhoffman commented on a change in pull request #4593: Fail install_goose.sh if installing goose fails
URL: https://github.com/apache/trafficcontrol/pull/4593#discussion_r402620084
 
 

 ##########
 File path: traffic_ops/install/bin/install_goose.sh
 ##########
 @@ -14,11 +14,13 @@
 # limitations under the License.
 #
 
-echo "Now installing goose"
-export GOPATH=/opt/traffic_ops/go
-mkdir -p $GOPATH
+trap "echo Error on line ${LINENO} of '$0'; exit 1" ERR;
+set -o errexit -o nounset;
+echo "Now installing goose";
+export GOPATH=/opt/traffic_ops/go;
+mkdir -p $GOPATH;
 
-go get bitbucket.org/liamstask/goose/cmd/goose
-go get github.com/lib/pq
+go get bitbucket.org/liamstask/goose/cmd/goose;
+go get github.com/lib/pq;
 
-echo "Successfully installed goose to $GOPATH/bin/goose"
+echo "Successfully installed goose to $GOPATH/bin/goose";
 
 Review comment:
   Why generally? I personally find semicolons nice if I am copying and pasting an entire script into a terminal, because if the TTY misses a newline, it still works. Since that is not related to this PR though, I can remove them.

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


With regards,
Apache Git Services

[GitHub] [trafficcontrol] rawlinp commented on a change in pull request #4593: Fail install_goose.sh if installing goose fails

Posted by GitBox <gi...@apache.org>.
rawlinp commented on a change in pull request #4593: Fail install_goose.sh if installing goose fails
URL: https://github.com/apache/trafficcontrol/pull/4593#discussion_r402617653
 
 

 ##########
 File path: traffic_ops/install/bin/install_goose.sh
 ##########
 @@ -14,11 +14,13 @@
 # limitations under the License.
 #
 
-echo "Now installing goose"
-export GOPATH=/opt/traffic_ops/go
-mkdir -p $GOPATH
+trap "echo Error on line ${LINENO} of '$0'; exit 1" ERR;
+set -o errexit -o nounset;
+echo "Now installing goose";
+export GOPATH=/opt/traffic_ops/go;
+mkdir -p $GOPATH;
 
-go get bitbucket.org/liamstask/goose/cmd/goose
-go get github.com/lib/pq
+go get bitbucket.org/liamstask/goose/cmd/goose;
+go get github.com/lib/pq;
 
-echo "Successfully installed goose to $GOPATH/bin/goose"
+echo "Successfully installed goose to $GOPATH/bin/goose";
 
 Review comment:
   why the `;`?

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


With regards,
Apache Git Services

[GitHub] [trafficcontrol] rawlinp commented on a change in pull request #4593: Fail install_goose.sh if installing goose fails

Posted by GitBox <gi...@apache.org>.
rawlinp commented on a change in pull request #4593: Fail install_goose.sh if installing goose fails
URL: https://github.com/apache/trafficcontrol/pull/4593#discussion_r402629155
 
 

 ##########
 File path: traffic_ops/install/bin/install_goose.sh
 ##########
 @@ -14,11 +14,13 @@
 # limitations under the License.
 #
 
-echo "Now installing goose"
-export GOPATH=/opt/traffic_ops/go
-mkdir -p $GOPATH
+trap "echo Error on line ${LINENO} of '$0'; exit 1" ERR;
+set -o errexit -o nounset;
+echo "Now installing goose";
+export GOPATH=/opt/traffic_ops/go;
+mkdir -p $GOPATH;
 
-go get bitbucket.org/liamstask/goose/cmd/goose
-go get github.com/lib/pq
+go get bitbucket.org/liamstask/goose/cmd/goose;
+go get github.com/lib/pq;
 
-echo "Successfully installed goose to $GOPATH/bin/goose"
+echo "Successfully installed goose to $GOPATH/bin/goose";
 
 Review comment:
   Yeah, I was just curious why generally since I haven't seen that as a style before.

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


With regards,
Apache Git Services